:root{
    --primary-bg: #141414;
    --primary-text: #E5E5E5;
    --higlight: #FF6B00;
    --cards: #222;
}   
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Montserrat", sans-serif;
    color: var(--primary-text);
    text-align: center;
    line-height: 1.5;
    scroll-behavior: smooth;
}
body{
    background-color: var(--primary-bg);
}
#home , #about, #coop, #references, #contact{
    min-height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: var(--primary-bg);
    padding: 50px;
}
h1{
    color: var(--primary-text);
    font-family: "Montserrat", sans-serif;
    font-size: 3.5rem;
}
p{
    font-size: 1rem;
    margin: 10px 0;
    max-width: 1200px;
}
a{
    text-decoration: none;
}
a:hover{
    text-decoration: underline;
}
.bigger{
    font-size: 1.5rem;
}
#home img{
    margin-top: 50px;
}
.cards{
    min-width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.card{
    min-height: 450px ;
    width: 325px;
    background-color: var(--cards);
    border: 5px #FFFFFF0D solid;
    margin: 10px;
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: column;
}
.cardCenter{
    min-height: 500px ;
    width: 375px;
    background-color: var(--cards);
    border: 5px #FFFFFF0D solid;
    margin: 10px;
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: column;
}
.higlight{
    color: var(--higlight);
}
.card p {
    width: 100%;
}
.objednatBtn{
    background-color: var(--higlight);
    border-radius: 5px;
    text-decoration: none;
    padding: 5px 10px;
    margin-top: auto;
}
.objednatBtn:hover{
    background-color: #ee741d;
}
.effects{
    margin: 10px 0;
    width: 100%;
}
.effects p{
    margin: 0;
}
.gray p{
    color: #999;
}
.container{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.container-left{
    width: 50%;
    min-height: 200px;
    max-width: 600px;
    padding: 15px;
}
.container-right{
    width: 50%;
    min-height: 200px;
    max-width: 600px;
    padding: 15px;
}
.container p {
    text-align: justify;
}
.container .card p{
    text-align: center;
}
#about h3{
    margin: 15px 0;
}
#about .objednatBtn, #coop .objednatBtn{
    margin: 0 0 35px 0;
}
#about h2, #coop h2, #references h2, #contact h2{
    font-size: 2rem;
}
#about .card{
    min-height: 300px ;
    width: 300px;
}
.boxes{
    width: 100%;
    height: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--cards);
    border: 5px #FFFFFF0D solid;
    margin: 20px 0;
    max-width: 1200px;
}
.box{
    width: 20%;
    height: 100%;
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: column;
}
.circle{
    background-color: var(--higlight);
    padding: 9px 20.78px;
    border-radius: 100%;
    font-size: 1.6rem;
}
.bold{
    font-weight: 700;
    font-size: 1.3rem;
    margin-top: 50px;
}
.fotorow, .videorow{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 1200px;
}
.fotorow img{
    width: 16.66%;
}
.videorow lite-youtube{
    width: 30%;
    margin: 0 20px;
}
p a{
    text-decoration: none;
}
p a:hover{
    text-decoration: underline;
}
.asoc img {
    width: 100px;
}
.asoc{
    display: flex;
    align-items: center;
    justify-content: start;
}
.asoc a{
    text-decoration: none;
    margin-left: 10px;
}
.asoc a:hover{
    text-decoration: underline;
}
.contact-text {
    font-size: clamp(1.5rem, 1vw + 0.2rem, 2.5rem);
}
.contact-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
}
.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 12px 15px;
    border: 1px solid #555;
    border-radius: 10px;
    background-color: transparent;
    color: var(--text);
    font-size: 16px;
    outline: none;
    transition: border 0.2s ease;
    resize: none;
    text-align: left;
}
.contact-form input:focus,
.contact-form textarea:focus {
    border-color: var(--highlight);
}
button{
    width: 100%;
    outline: none;
    border: none;
}
button:hover{
    cursor: pointer;
}
#contact .container-left{
    height: 600px;
    width: 100%;
    display: flex;
    align-items: start;
    justify-content: center;
    flex-direction: column;
}
#contact .container-right{
    height: 600px;
    width: 100%;
}
#contact .container{
    margin-top: 50px;
}
footer{
    width: 100%;
    min-height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--primary-bg);
    padding: 5px;
    flex-wrap: wrap;
}

nav{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 50px;
    width: 100%;
    background-color: transparent;
    position: fixed;
    background-color: var(--primary-bg);
    z-index: 999999;
}
nav a {
    color: var(--primary-text);
    text-decoration: none;
    margin: 0 25px;
}
nav a:hover{
    color: var(--higlight);
    text-decoration: none;
}
#nav-clasic{
    display: block;
}
#nav-hamburger{
    display: none;
    width: 100%;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.hidden{
    display: none;
    justify-content: center;
    align-items: center;
    margin: 10px;
}

@media only screen and (max-width: 1100px) {
    .cards{
        flex-direction: column;
    }
}
/* Pro tablety a menší monitory */
@media only screen and (max-width: 1024px) {
    .container {
        flex-direction: column;
    }
    .container-left, .container-right {
        width: 100%;
        height: auto !important; /* Přebijeme pevných 600px u kontaktu */
    }
    .boxes {
        height: auto;
        flex-wrap: wrap;
    }
    .box {
        width: 50%; /* Dva boxy vedle sebe */
        min-height: 200px;
    }
    .videorow {
        flex-direction: column;
        gap: 20px;
    }
    .videorow lite-youtube {
        width: 90%;
    }
}

/* Pro telefony */
@media only screen and (max-width: 768px) {
    #home, #about, #coop, #references, #contact {
        padding: 40px 20px;
    }

    h1 {
        font-size: 2.5rem;
    }

    .card, .cardCenter {
        width: 100%; 
        max-width: 400px;
    }

    .box {
        width: 100%; /
    }

    .fotorow {
        flex-wrap: wrap;
    }

    .fotorow img {
        width: 50%; 
    }

    #contact .container-left {
        align-items: center; 
    }
    
    .asoc {
        flex-direction: column;
        text-align: center;
    }
    
    .asoc a {
        margin-left: 0;
        margin-top: 10px;
    }
}
@media only screen and (max-width: 500px) {
    #nav-clasic{
        display: none;
    }   

    #nav-hamburger{
        display: flex;
    }
  
}